## ros-jazzy-joy 3.3.0

=== debian/changelog ===
ros-jazzy-joy (3.3.0-4bookworm) bookworm; urgency=high

  * Fix compatibility with SDL versions below 2.0.18 (#273 <https://github.com/ros-drivers/joystick_drivers/issues/273>)
  * Contributors: Johannes Meyer

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 30 Oct 2023 16:00:00 -0000

ros-jazzy-joy (3.2.0-4bookworm) bookworm; urgency=high

  * Remove ament target deps for the new game_controller node. (#272 <https://github.com/ros-drivers/joystick_drivers/issues/272>)
  * Use the SDL2 Game Controller API (#258 <https://github.com/ros-drivers/joystick_drivers/issues/258>)
  * fix autorepeat not being triggered when inside deadzone (#261 <https://github.com/ros-drivers/joystick_drivers/issues/261>)
  * Linter fix.
  * fix high CPU usage (#247 <https://github.com/ros-drivers/joystick_drivers/issues/247>)
  * Contributors: Chris Lalancette, Joshua Whitley, Marco Boneberger, Roderick Taylor, Tony Najjar

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Oct 2023 16:00:00 -0000

ros-jazzy-joy (3.1.0-4bookworm) bookworm; urgency=high

  * Install includes to include/ and misc CMake fixes (#225 <https://github.com/ros-drivers/joystick_drivers/issues/225>)
  * Style fixes for newer cpplint.
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Jan 2022 16:00:00 -0000

ros-jazzy-joy (3.0.1-4bookworm) bookworm; urgency=high

  * Override device_id when device_name is provided. (#199 <https://github.com/ros-drivers/joystick_drivers/issues/199>) (#211 <https://github.com/ros-drivers/joystick_drivers/issues/211>)
  * Contributors: Tiger Sachse

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Jan 2022 16:00:00 -0000

ros-jazzy-joy (3.0.0-4bookworm) bookworm; urgency=high

  * Fix SDL2 include path (#196 <https://github.com/ros-drivers/joystick_drivers/issues/196>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 11 Mar 2021 16:00:00 -0000

ros-jazzy-joy (2.4.1-4bookworm) bookworm; urgency=high

  * Small fixes for uncrustify on Foxy. (#171 <https://github.com/ros-drivers/joystick_drivers/issues/171>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-jazzy-joy (2.4.0-4bookworm) bookworm; urgency=high

  * Cross platform joystick support for ROS 2 (#157 <https://github.com/ros-drivers/joystick_drivers/issues/157>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Merge pull request #158 <https://github.com/ros-drivers/joystick_drivers/issues/158> from clalancette/ros1-cleanups
  * Greatly simplify the sticky_buttons support.
  * Small fixes to rumble support.
  * Use C++ style casts.
  * Use empty instead of length.
  * joy_def_ff -> joy_dev_ff
  * Cleanup header includes.
  * Use size_t appropriately.
  * NULL -> nullptr everywhere.
  * Style cleanup in joy_node.cpp.
  * Merge pull request #154 <https://github.com/ros-drivers/joystick_drivers/issues/154> from zchen24/master
  * Minor: moved default to right indent level
  * Contributors: Chris Lalancette, Joshua Whitley, Zihan Chen

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000
