=== debian/control ===
Source: ros-jazzy-joy
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sdl2-vendor, ros-jazzy-sensor-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sdl2-vendor, ros-jazzy-sensor-msgs, ros-jazzy-ros-workspace
Description: The joy package contains joy_node, a node that interfaces a generic joystick to ROS 2.
 This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.
